LibreOffice LibreOffice 6.2 SDK C/C++ API Reference

Namespaces | Typedefs | Functions
Mapping.hxx File Reference
`#include "cppu/cppudllapi.h"`
`#include "typelib/typedescription.h"`
`#include "uno/any2.h"`
`#include "uno/environment.h"`
`#include "uno/mapping.h"`

Go to the source code of this file.

## Namespaces
| cppu
| cppu::helper
| cppu::helper::purpenv

## Typedefs
typedef void | cppu::helper::purpenv::ProbeFun(bool pre, void *pThis, void *pContext, typelib_TypeDescriptionReference *pReturnTypeRef, typelib_MethodParameter *pParams, sal_Int32 nParams, typelib_TypeDescription const *pMemberType, void *pReturn, void *pArgs[], uno_Any **ppException)
| C++ helper for implementing Purpose Environments. More...

## Functions
PURPENV_DLLPUBLIC void | cppu::helper::purpenv::createMapping (uno_Mapping **ppMapping, uno_Environment *pFrom, uno_Environment *pTo, ProbeFun *probeFun=NULL, void *pContext=NULL)